Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network168.7.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
168.7.0.0
Broadcast address
168.7.127.255
First usable
168.7.0.1
Last usable
168.7.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex A8070000 · Integer 2819031040 to 2819063807
Reverse DNS zones
0.7.168.in-addr.arpa
1.7.168.in-addr.arpa
2.7.168.in-addr.arpa
3.7.168.in-addr.arpa
4.7.168.in-addr.arpa
5.7.168.in-addr.arpa
6.7.168.in-addr.arpa
7.7.168.in-addr.arpa
8.7.168.in-addr.arpa
9.7.168.in-addr.arpa
10.7.168.in-addr.arpa
11.7.168.in-addr.arpa
12.7.168.in-addr.arpa
13.7.168.in-addr.arpa
14.7.168.in-addr.arpa
15.7.168.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101000.00000111.00000000.00000000168.7.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10101000.00000111.00000000.00000000168.7.0.0
Broadcast10101000.00000111.01111111.11111111168.7.127.255
Split into smaller subnets/25

168.7.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1168.7.0.0/25168.7.0.1 to 168.7.0.126168.7.0.127126
2168.7.0.128/25168.7.0.129 to 168.7.0.254168.7.0.255126
3168.7.1.0/25168.7.1.1 to 168.7.1.126168.7.1.127126
4168.7.1.128/25168.7.1.129 to 168.7.1.254168.7.1.255126
5168.7.2.0/25168.7.2.1 to 168.7.2.126168.7.2.127126
6168.7.2.128/25168.7.2.129 to 168.7.2.254168.7.2.255126
7168.7.3.0/25168.7.3.1 to 168.7.3.126168.7.3.127126
8168.7.3.128/25168.7.3.129 to 168.7.3.254168.7.3.255126
9168.7.4.0/25168.7.4.1 to 168.7.4.126168.7.4.127126
10168.7.4.128/25168.7.4.129 to 168.7.4.254168.7.4.255126
11168.7.5.0/25168.7.5.1 to 168.7.5.126168.7.5.127126
12168.7.5.128/25168.7.5.129 to 168.7.5.254168.7.5.255126
13168.7.6.0/25168.7.6.1 to 168.7.6.126168.7.6.127126
14168.7.6.128/25168.7.6.129 to 168.7.6.254168.7.6.255126
15168.7.7.0/25168.7.7.1 to 168.7.7.126168.7.7.127126
16168.7.7.128/25168.7.7.129 to 168.7.7.254168.7.7.255126
17168.7.8.0/25168.7.8.1 to 168.7.8.126168.7.8.127126
18168.7.8.128/25168.7.8.129 to 168.7.8.254168.7.8.255126
19168.7.9.0/25168.7.9.1 to 168.7.9.126168.7.9.127126
20168.7.9.128/25168.7.9.129 to 168.7.9.254168.7.9.255126
21168.7.10.0/25168.7.10.1 to 168.7.10.126168.7.10.127126
22168.7.10.128/25168.7.10.129 to 168.7.10.254168.7.10.255126
23168.7.11.0/25168.7.11.1 to 168.7.11.126168.7.11.127126
24168.7.11.128/25168.7.11.129 to 168.7.11.254168.7.11.255126
25168.7.12.0/25168.7.12.1 to 168.7.12.126168.7.12.127126
26168.7.12.128/25168.7.12.129 to 168.7.12.254168.7.12.255126
27168.7.13.0/25168.7.13.1 to 168.7.13.126168.7.13.127126
28168.7.13.128/25168.7.13.129 to 168.7.13.254168.7.13.255126
29168.7.14.0/25168.7.14.1 to 168.7.14.126168.7.14.127126
30168.7.14.128/25168.7.14.129 to 168.7.14.254168.7.14.255126
31168.7.15.0/25168.7.15.1 to 168.7.15.126168.7.15.127126
32168.7.15.128/25168.7.15.129 to 168.7.15.254168.7.15.255126
33168.7.16.0/25168.7.16.1 to 168.7.16.126168.7.16.127126
34168.7.16.128/25168.7.16.129 to 168.7.16.254168.7.16.255126
35168.7.17.0/25168.7.17.1 to 168.7.17.126168.7.17.127126
36168.7.17.128/25168.7.17.129 to 168.7.17.254168.7.17.255126
37168.7.18.0/25168.7.18.1 to 168.7.18.126168.7.18.127126
38168.7.18.128/25168.7.18.129 to 168.7.18.254168.7.18.255126
39168.7.19.0/25168.7.19.1 to 168.7.19.126168.7.19.127126
40168.7.19.128/25168.7.19.129 to 168.7.19.254168.7.19.255126
41168.7.20.0/25168.7.20.1 to 168.7.20.126168.7.20.127126
42168.7.20.128/25168.7.20.129 to 168.7.20.254168.7.20.255126
43168.7.21.0/25168.7.21.1 to 168.7.21.126168.7.21.127126
44168.7.21.128/25168.7.21.129 to 168.7.21.254168.7.21.255126
45168.7.22.0/25168.7.22.1 to 168.7.22.126168.7.22.127126
46168.7.22.128/25168.7.22.129 to 168.7.22.254168.7.22.255126
47168.7.23.0/25168.7.23.1 to 168.7.23.126168.7.23.127126
48168.7.23.128/25168.7.23.129 to 168.7.23.254168.7.23.255126
49168.7.24.0/25168.7.24.1 to 168.7.24.126168.7.24.127126
50168.7.24.128/25168.7.24.129 to 168.7.24.254168.7.24.255126
51168.7.25.0/25168.7.25.1 to 168.7.25.126168.7.25.127126
52168.7.25.128/25168.7.25.129 to 168.7.25.254168.7.25.255126
53168.7.26.0/25168.7.26.1 to 168.7.26.126168.7.26.127126
54168.7.26.128/25168.7.26.129 to 168.7.26.254168.7.26.255126
55168.7.27.0/25168.7.27.1 to 168.7.27.126168.7.27.127126
56168.7.27.128/25168.7.27.129 to 168.7.27.254168.7.27.255126
57168.7.28.0/25168.7.28.1 to 168.7.28.126168.7.28.127126
58168.7.28.128/25168.7.28.129 to 168.7.28.254168.7.28.255126
59168.7.29.0/25168.7.29.1 to 168.7.29.126168.7.29.127126
60168.7.29.128/25168.7.29.129 to 168.7.29.254168.7.29.255126
61168.7.30.0/25168.7.30.1 to 168.7.30.126168.7.30.127126
62168.7.30.128/25168.7.30.129 to 168.7.30.254168.7.30.255126
63168.7.31.0/25168.7.31.1 to 168.7.31.126168.7.31.127126
64168.7.31.128/25168.7.31.129 to 168.7.31.254168.7.31.255126
65168.7.32.0/25168.7.32.1 to 168.7.32.126168.7.32.127126
66168.7.32.128/25168.7.32.129 to 168.7.32.254168.7.32.255126
67168.7.33.0/25168.7.33.1 to 168.7.33.126168.7.33.127126
68168.7.33.128/25168.7.33.129 to 168.7.33.254168.7.33.255126
69168.7.34.0/25168.7.34.1 to 168.7.34.126168.7.34.127126
70168.7.34.128/25168.7.34.129 to 168.7.34.254168.7.34.255126
71168.7.35.0/25168.7.35.1 to 168.7.35.126168.7.35.127126
72168.7.35.128/25168.7.35.129 to 168.7.35.254168.7.35.255126
73168.7.36.0/25168.7.36.1 to 168.7.36.126168.7.36.127126
74168.7.36.128/25168.7.36.129 to 168.7.36.254168.7.36.255126
75168.7.37.0/25168.7.37.1 to 168.7.37.126168.7.37.127126
76168.7.37.128/25168.7.37.129 to 168.7.37.254168.7.37.255126
77168.7.38.0/25168.7.38.1 to 168.7.38.126168.7.38.127126
78168.7.38.128/25168.7.38.129 to 168.7.38.254168.7.38.255126
79168.7.39.0/25168.7.39.1 to 168.7.39.126168.7.39.127126
80168.7.39.128/25168.7.39.129 to 168.7.39.254168.7.39.255126
81168.7.40.0/25168.7.40.1 to 168.7.40.126168.7.40.127126
82168.7.40.128/25168.7.40.129 to 168.7.40.254168.7.40.255126
83168.7.41.0/25168.7.41.1 to 168.7.41.126168.7.41.127126
84168.7.41.128/25168.7.41.129 to 168.7.41.254168.7.41.255126
85168.7.42.0/25168.7.42.1 to 168.7.42.126168.7.42.127126
86168.7.42.128/25168.7.42.129 to 168.7.42.254168.7.42.255126
87168.7.43.0/25168.7.43.1 to 168.7.43.126168.7.43.127126
88168.7.43.128/25168.7.43.129 to 168.7.43.254168.7.43.255126
89168.7.44.0/25168.7.44.1 to 168.7.44.126168.7.44.127126
90168.7.44.128/25168.7.44.129 to 168.7.44.254168.7.44.255126
91168.7.45.0/25168.7.45.1 to 168.7.45.126168.7.45.127126
92168.7.45.128/25168.7.45.129 to 168.7.45.254168.7.45.255126
93168.7.46.0/25168.7.46.1 to 168.7.46.126168.7.46.127126
94168.7.46.128/25168.7.46.129 to 168.7.46.254168.7.46.255126
95168.7.47.0/25168.7.47.1 to 168.7.47.126168.7.47.127126
96168.7.47.128/25168.7.47.129 to 168.7.47.254168.7.47.255126
97168.7.48.0/25168.7.48.1 to 168.7.48.126168.7.48.127126
98168.7.48.128/25168.7.48.129 to 168.7.48.254168.7.48.255126
99168.7.49.0/25168.7.49.1 to 168.7.49.126168.7.49.127126
100168.7.49.128/25168.7.49.129 to 168.7.49.254168.7.49.255126
101168.7.50.0/25168.7.50.1 to 168.7.50.126168.7.50.127126
102168.7.50.128/25168.7.50.129 to 168.7.50.254168.7.50.255126
103168.7.51.0/25168.7.51.1 to 168.7.51.126168.7.51.127126
104168.7.51.128/25168.7.51.129 to 168.7.51.254168.7.51.255126
105168.7.52.0/25168.7.52.1 to 168.7.52.126168.7.52.127126
106168.7.52.128/25168.7.52.129 to 168.7.52.254168.7.52.255126
107168.7.53.0/25168.7.53.1 to 168.7.53.126168.7.53.127126
108168.7.53.128/25168.7.53.129 to 168.7.53.254168.7.53.255126
109168.7.54.0/25168.7.54.1 to 168.7.54.126168.7.54.127126
110168.7.54.128/25168.7.54.129 to 168.7.54.254168.7.54.255126
111168.7.55.0/25168.7.55.1 to 168.7.55.126168.7.55.127126
112168.7.55.128/25168.7.55.129 to 168.7.55.254168.7.55.255126
113168.7.56.0/25168.7.56.1 to 168.7.56.126168.7.56.127126
114168.7.56.128/25168.7.56.129 to 168.7.56.254168.7.56.255126
115168.7.57.0/25168.7.57.1 to 168.7.57.126168.7.57.127126
116168.7.57.128/25168.7.57.129 to 168.7.57.254168.7.57.255126
117168.7.58.0/25168.7.58.1 to 168.7.58.126168.7.58.127126
118168.7.58.128/25168.7.58.129 to 168.7.58.254168.7.58.255126
119168.7.59.0/25168.7.59.1 to 168.7.59.126168.7.59.127126
120168.7.59.128/25168.7.59.129 to 168.7.59.254168.7.59.255126
121168.7.60.0/25168.7.60.1 to 168.7.60.126168.7.60.127126
122168.7.60.128/25168.7.60.129 to 168.7.60.254168.7.60.255126
123168.7.61.0/25168.7.61.1 to 168.7.61.126168.7.61.127126
124168.7.61.128/25168.7.61.129 to 168.7.61.254168.7.61.255126
125168.7.62.0/25168.7.62.1 to 168.7.62.126168.7.62.127126
126168.7.62.128/25168.7.62.129 to 168.7.62.254168.7.62.255126
127168.7.63.0/25168.7.63.1 to 168.7.63.126168.7.63.127126
128168.7.63.128/25168.7.63.129 to 168.7.63.254168.7.63.255126
129168.7.64.0/25168.7.64.1 to 168.7.64.126168.7.64.127126
130168.7.64.128/25168.7.64.129 to 168.7.64.254168.7.64.255126
131168.7.65.0/25168.7.65.1 to 168.7.65.126168.7.65.127126
132168.7.65.128/25168.7.65.129 to 168.7.65.254168.7.65.255126
133168.7.66.0/25168.7.66.1 to 168.7.66.126168.7.66.127126
134168.7.66.128/25168.7.66.129 to 168.7.66.254168.7.66.255126
135168.7.67.0/25168.7.67.1 to 168.7.67.126168.7.67.127126
136168.7.67.128/25168.7.67.129 to 168.7.67.254168.7.67.255126
137168.7.68.0/25168.7.68.1 to 168.7.68.126168.7.68.127126
138168.7.68.128/25168.7.68.129 to 168.7.68.254168.7.68.255126
139168.7.69.0/25168.7.69.1 to 168.7.69.126168.7.69.127126
140168.7.69.128/25168.7.69.129 to 168.7.69.254168.7.69.255126
141168.7.70.0/25168.7.70.1 to 168.7.70.126168.7.70.127126
142168.7.70.128/25168.7.70.129 to 168.7.70.254168.7.70.255126
143168.7.71.0/25168.7.71.1 to 168.7.71.126168.7.71.127126
144168.7.71.128/25168.7.71.129 to 168.7.71.254168.7.71.255126
145168.7.72.0/25168.7.72.1 to 168.7.72.126168.7.72.127126
146168.7.72.128/25168.7.72.129 to 168.7.72.254168.7.72.255126
147168.7.73.0/25168.7.73.1 to 168.7.73.126168.7.73.127126
148168.7.73.128/25168.7.73.129 to 168.7.73.254168.7.73.255126
149168.7.74.0/25168.7.74.1 to 168.7.74.126168.7.74.127126
150168.7.74.128/25168.7.74.129 to 168.7.74.254168.7.74.255126
151168.7.75.0/25168.7.75.1 to 168.7.75.126168.7.75.127126
152168.7.75.128/25168.7.75.129 to 168.7.75.254168.7.75.255126
153168.7.76.0/25168.7.76.1 to 168.7.76.126168.7.76.127126
154168.7.76.128/25168.7.76.129 to 168.7.76.254168.7.76.255126
155168.7.77.0/25168.7.77.1 to 168.7.77.126168.7.77.127126
156168.7.77.128/25168.7.77.129 to 168.7.77.254168.7.77.255126
157168.7.78.0/25168.7.78.1 to 168.7.78.126168.7.78.127126
158168.7.78.128/25168.7.78.129 to 168.7.78.254168.7.78.255126
159168.7.79.0/25168.7.79.1 to 168.7.79.126168.7.79.127126
160168.7.79.128/25168.7.79.129 to 168.7.79.254168.7.79.255126
161168.7.80.0/25168.7.80.1 to 168.7.80.126168.7.80.127126
162168.7.80.128/25168.7.80.129 to 168.7.80.254168.7.80.255126
163168.7.81.0/25168.7.81.1 to 168.7.81.126168.7.81.127126
164168.7.81.128/25168.7.81.129 to 168.7.81.254168.7.81.255126
165168.7.82.0/25168.7.82.1 to 168.7.82.126168.7.82.127126
166168.7.82.128/25168.7.82.129 to 168.7.82.254168.7.82.255126
167168.7.83.0/25168.7.83.1 to 168.7.83.126168.7.83.127126
168168.7.83.128/25168.7.83.129 to 168.7.83.254168.7.83.255126
169168.7.84.0/25168.7.84.1 to 168.7.84.126168.7.84.127126
170168.7.84.128/25168.7.84.129 to 168.7.84.254168.7.84.255126
171168.7.85.0/25168.7.85.1 to 168.7.85.126168.7.85.127126
172168.7.85.128/25168.7.85.129 to 168.7.85.254168.7.85.255126
173168.7.86.0/25168.7.86.1 to 168.7.86.126168.7.86.127126
174168.7.86.128/25168.7.86.129 to 168.7.86.254168.7.86.255126
175168.7.87.0/25168.7.87.1 to 168.7.87.126168.7.87.127126
176168.7.87.128/25168.7.87.129 to 168.7.87.254168.7.87.255126
177168.7.88.0/25168.7.88.1 to 168.7.88.126168.7.88.127126
178168.7.88.128/25168.7.88.129 to 168.7.88.254168.7.88.255126
179168.7.89.0/25168.7.89.1 to 168.7.89.126168.7.89.127126
180168.7.89.128/25168.7.89.129 to 168.7.89.254168.7.89.255126
181168.7.90.0/25168.7.90.1 to 168.7.90.126168.7.90.127126
182168.7.90.128/25168.7.90.129 to 168.7.90.254168.7.90.255126
183168.7.91.0/25168.7.91.1 to 168.7.91.126168.7.91.127126
184168.7.91.128/25168.7.91.129 to 168.7.91.254168.7.91.255126
185168.7.92.0/25168.7.92.1 to 168.7.92.126168.7.92.127126
186168.7.92.128/25168.7.92.129 to 168.7.92.254168.7.92.255126
187168.7.93.0/25168.7.93.1 to 168.7.93.126168.7.93.127126
188168.7.93.128/25168.7.93.129 to 168.7.93.254168.7.93.255126
189168.7.94.0/25168.7.94.1 to 168.7.94.126168.7.94.127126
190168.7.94.128/25168.7.94.129 to 168.7.94.254168.7.94.255126
191168.7.95.0/25168.7.95.1 to 168.7.95.126168.7.95.127126
192168.7.95.128/25168.7.95.129 to 168.7.95.254168.7.95.255126
193168.7.96.0/25168.7.96.1 to 168.7.96.126168.7.96.127126
194168.7.96.128/25168.7.96.129 to 168.7.96.254168.7.96.255126
195168.7.97.0/25168.7.97.1 to 168.7.97.126168.7.97.127126
196168.7.97.128/25168.7.97.129 to 168.7.97.254168.7.97.255126
197168.7.98.0/25168.7.98.1 to 168.7.98.126168.7.98.127126
198168.7.98.128/25168.7.98.129 to 168.7.98.254168.7.98.255126
199168.7.99.0/25168.7.99.1 to 168.7.99.126168.7.99.127126
200168.7.99.128/25168.7.99.129 to 168.7.99.254168.7.99.255126
201168.7.100.0/25168.7.100.1 to 168.7.100.126168.7.100.127126
202168.7.100.128/25168.7.100.129 to 168.7.100.254168.7.100.255126
203168.7.101.0/25168.7.101.1 to 168.7.101.126168.7.101.127126
204168.7.101.128/25168.7.101.129 to 168.7.101.254168.7.101.255126
205168.7.102.0/25168.7.102.1 to 168.7.102.126168.7.102.127126
206168.7.102.128/25168.7.102.129 to 168.7.102.254168.7.102.255126
207168.7.103.0/25168.7.103.1 to 168.7.103.126168.7.103.127126
208168.7.103.128/25168.7.103.129 to 168.7.103.254168.7.103.255126
209168.7.104.0/25168.7.104.1 to 168.7.104.126168.7.104.127126
210168.7.104.128/25168.7.104.129 to 168.7.104.254168.7.104.255126
211168.7.105.0/25168.7.105.1 to 168.7.105.126168.7.105.127126
212168.7.105.128/25168.7.105.129 to 168.7.105.254168.7.105.255126
213168.7.106.0/25168.7.106.1 to 168.7.106.126168.7.106.127126
214168.7.106.128/25168.7.106.129 to 168.7.106.254168.7.106.255126
215168.7.107.0/25168.7.107.1 to 168.7.107.126168.7.107.127126
216168.7.107.128/25168.7.107.129 to 168.7.107.254168.7.107.255126
217168.7.108.0/25168.7.108.1 to 168.7.108.126168.7.108.127126
218168.7.108.128/25168.7.108.129 to 168.7.108.254168.7.108.255126
219168.7.109.0/25168.7.109.1 to 168.7.109.126168.7.109.127126
220168.7.109.128/25168.7.109.129 to 168.7.109.254168.7.109.255126
221168.7.110.0/25168.7.110.1 to 168.7.110.126168.7.110.127126
222168.7.110.128/25168.7.110.129 to 168.7.110.254168.7.110.255126
223168.7.111.0/25168.7.111.1 to 168.7.111.126168.7.111.127126
224168.7.111.128/25168.7.111.129 to 168.7.111.254168.7.111.255126
225168.7.112.0/25168.7.112.1 to 168.7.112.126168.7.112.127126
226168.7.112.128/25168.7.112.129 to 168.7.112.254168.7.112.255126
227168.7.113.0/25168.7.113.1 to 168.7.113.126168.7.113.127126
228168.7.113.128/25168.7.113.129 to 168.7.113.254168.7.113.255126
229168.7.114.0/25168.7.114.1 to 168.7.114.126168.7.114.127126
230168.7.114.128/25168.7.114.129 to 168.7.114.254168.7.114.255126
231168.7.115.0/25168.7.115.1 to 168.7.115.126168.7.115.127126
232168.7.115.128/25168.7.115.129 to 168.7.115.254168.7.115.255126
233168.7.116.0/25168.7.116.1 to 168.7.116.126168.7.116.127126
234168.7.116.128/25168.7.116.129 to 168.7.116.254168.7.116.255126
235168.7.117.0/25168.7.117.1 to 168.7.117.126168.7.117.127126
236168.7.117.128/25168.7.117.129 to 168.7.117.254168.7.117.255126
237168.7.118.0/25168.7.118.1 to 168.7.118.126168.7.118.127126
238168.7.118.128/25168.7.118.129 to 168.7.118.254168.7.118.255126
239168.7.119.0/25168.7.119.1 to 168.7.119.126168.7.119.127126
240168.7.119.128/25168.7.119.129 to 168.7.119.254168.7.119.255126
241168.7.120.0/25168.7.120.1 to 168.7.120.126168.7.120.127126
242168.7.120.128/25168.7.120.129 to 168.7.120.254168.7.120.255126
243168.7.121.0/25168.7.121.1 to 168.7.121.126168.7.121.127126
244168.7.121.128/25168.7.121.129 to 168.7.121.254168.7.121.255126
245168.7.122.0/25168.7.122.1 to 168.7.122.126168.7.122.127126
246168.7.122.128/25168.7.122.129 to 168.7.122.254168.7.122.255126
247168.7.123.0/25168.7.123.1 to 168.7.123.126168.7.123.127126
248168.7.123.128/25168.7.123.129 to 168.7.123.254168.7.123.255126
249168.7.124.0/25168.7.124.1 to 168.7.124.126168.7.124.127126
250168.7.124.128/25168.7.124.129 to 168.7.124.254168.7.124.255126
251168.7.125.0/25168.7.125.1 to 168.7.125.126168.7.125.127126
252168.7.125.128/25168.7.125.129 to 168.7.125.254168.7.125.255126
253168.7.126.0/25168.7.126.1 to 168.7.126.126168.7.126.127126
254168.7.126.128/25168.7.126.129 to 168.7.126.254168.7.126.255126
255168.7.127.0/25168.7.127.1 to 168.7.127.126168.7.127.127126
256168.7.127.128/25168.7.127.129 to 168.7.127.254168.7.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses